Bug 476823 - (CVE-2008-5587) CVE-2008-5587 phpPgAdmin: directory traversal flaw in libraries/lib.inc.php
CVE-2008-5587 phpPgAdmin: directory traversal flaw in libraries/lib.inc.php
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=low
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 06:23 EST by Tomas Hoger
Modified: 2009-01-09 03:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 03:40:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-12-17 06:23:55 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5587 to the following vulnerability:

Directory traversal vulnerability in libraries/lib.inc.php in
phpPgAdmin 4.2.1 and earlier, when register_globals is enabled, allows
remote attackers to read arbitrary files via a .. (dot dot) in the
_language parameter to index.php.

References:
http://www.milw0rm.com/exploits/7363
http://www.securityfocus.com/bid/32670
http://secunia.com/advisories/33014

Upstream bug:
http://sourceforge.net/tracker/?func=detail&group_id=37132&atid=418980&aid=2422429
(no fix there yet, making sure $_language is unset before use should do the
trick)
Comment 1 Fedora Update System 2008-12-19 02:44:58 EST
phpPgAdmin-4.2.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/phpPgAdmin-4.2.2-1.fc9
Comment 2 Fedora Update System 2008-12-19 02:45:14 EST
phpPgAdmin-4.2.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/phpPgAdmin-4.2.2-1.fc10
Comment 3 Fedora Update System 2008-12-19 02:45:50 EST
phpPgAdmin-4.2.2-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/phpPgAdmin-4.2.2-1.fc8
Comment 4 Tomas Hoger 2008-12-19 03:13:13 EST
Fixed upstream in 4.2.2.

Upstream patch:
http://github.com/xzilla/phppgadmin/commit/b62ff9fa11f0dbed1a28568671eb31d45a5363dd
Comment 5 Devrim GUNDUZ 2008-12-19 03:30:28 EST
Tomas,

Already pushed the package(s) to repositories :) . I contacted with phpPgAdmin team yesterday, and they provided a quick fix.
Comment 6 Fedora Update System 2008-12-21 03:32:37 EST
phpPgAdmin-4.2.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-21 03:38:54 EST
phpPgAdmin-4.2.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-21 03:41:56 EST
phpPgAdmin-4.2.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Red Hat Product Security 2009-01-09 03:40:57 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11564
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-11602

Note You need to log in before you can comment on or make changes to this bug.